import request from '@/utils/request'

// 查询客户群成员列列表
export function listGroup_chat_user(query) {
  return request({
    url: '/qw/group_chat_user/list',
    method: 'get',
    params: query
  })
}

//获取日星月的入群退群统计
export function getDataWeekMonthCount(query) {
  return request({
    url: '/qw/group_chat_user/getDataWeekMonthCount',
    method: 'get',
    params: query
  })
}


// 查询客户群成员列详细
export function getGroup_chat_user(id) {
  return request({
    url: '/qw/group_chat_user/' + id,
    method: 'get'
  })
}

// 新增客户群成员列
export function addGroup_chat_user(data) {
  return request({
    url: '/qw/group_chat_user',
    method: 'post',
    data: data
  })
}

// 修改客户群成员列
export function updateGroup_chat_user(data) {
  return request({
    url: '/qw/group_chat_user',
    method: 'put',
    data: data
  })
}

// 删除客户群成员列
export function delGroup_chat_user(id) {
  return request({
    url: '/qw/group_chat_user/' + id,
    method: 'delete'
  })
}

// 导出客户群成员列
export function exportGroup_chat_user(query) {
  return request({
    url: '/qw/group_chat_user/export',
    method: 'get',
    params: query
  })
}

// 同步客户群详情
export function cogradientGroupChatUser(data) {
  return request({
    url: '/qw/group_chat_user/cogradientGroupChatUser',
    method: 'put',
    data:data
  })
}


